Ubuntu Correct path to libxml2 when configuring PHP 5

Discussion in 'Installation/Configuration' started by cagou, Jan 21, 2007.

  1. cagou

    cagou New Member

    Hello,

    I'm getting this error during PHP 5.2 installation on Ubuntu 6.10 (when it tries to compile PHP):
    Code:
    Configuring extensions
    checking whether to enable LIBXML support... yes
    checking libxml2 install dir... no
    checking for xml2-config path... 
    configure: error: xml2-config not found. Please check your libxml2 installation.
    
    xml2 package is installed according to synaptic.

    So, I'm quite sure my command configure is wrong (I do not use package for this installation) :
    Code:
    [email protected]:/usr/local/src/php-5.2.0$ sudo ./configure --with-mysql=/usr/local/mysql --with-apache=../apache_1.3.37 --with-libxml-prefix=/usr/lib --with-xsl=/lib/libxslt.so.1.1.17
    
    I don't know which path to libxml I must indicate. Of course I'm sure my XSLT path is wrong as well.

    I found many answers to my installation pb on the web, especially on this forum (special thanks to Falko and jnsc for dash/bash with apache compilation issues !) but this time I'm too newbie to find.

    Could anyone help ?
     
    Last edited: Jan 21, 2007
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    You must install the pacakge libxml2-dev:

    apt-get install libxml2-dev
     
  3. cagou

    cagou New Member

    Thank you ! :)

    It worked nice and smooth.
     

Share This Page